Unit zf18e_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UTZF11_p;

procedure zf18e(F :Func_F1E; var A :Extended; var B :Extended;
                FACT :Extended; N :Integer; var IERR :Integer);

implementation

procedure zf18e(F :Func_F1E; var A :Extended; var B :Extended;
                FACT :Extended; N :Integer; var IERR :Integer);
var
I :Integer;
F1,F2 :Extended;
const
ZERO :Extended = 0.0e0;
label
_10,_20,_30,_40,_50;
begin
IERR := 0;
if ( A <> B ) 
 then goto _10;
IERR := 65;
goto _40;
_10:
F1 := F(A);
F2 := F(B);
for I:=1 to N do
 begin
  _ZF18RR.elm1:= I;
  if ( F1*F2 < ZERO ) 
   then goto _50;
  if ( Abs(F1) < Abs(F2) ) 
   then goto _20;
  B := B+FACT*(B-A);
  F2 := F(B);
  goto _30;
_20:
  A := A+FACT*(A-B);
  F1 := F(A);
_30:
 end;
IERR := 66;
_40:
UTZF11(IERR,18);
_50:
end;

end.
